#ifndef POLAROUTPUT_H
#define POLAROUTPUT_H

#include "output.h"
#include "../recognition/searchradius.h"
#include <opencv/cv.hpp>
#include <iostream>

extern "C"
{
  #include <opencv/highgui.h>
}

using namespace std;

namespace seemicro
{

class PolarOutput : public OutputModule
{
  PolarModule& p;
public:
  PolarOutput(PolarModule& Ap) : p(Ap)
  {
    if(1 != cvNamedWindow("Polar", 1))
    { cerr << "cvNamedWindow(Polar): error" << endl; exit(1); }
  }

  ~PolarOutput()
  {
    cvDestroyWindow("Polar");
  }

  void output(bool keyframe)
  {
    cvShowImage("Polar", p.img);
//    cvResizeWindow("Polar", 200, 200);
  }

}; // PolarOutput

} // seemicro

#endif

